#
# spec file for package goreleaser
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           goreleaser
Version:        2.7.0
Release:        1.1
Summary:        Go release engineering tool
# FIXME: Select a correct license from https://github.com/openSUSE/spec-cleaner#spdx-licenses
License:        MIT
URL:            https://goreleaser.com/
Source:         goreleaser-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.24

%description
goreleaser is a modern buildsystem for golang.

%prep
%autosetup -D -a 1

%build
%ifnarch ppc64
export GOFLAGS="-buildmode=pie"
%endif
go build

%install
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

%check
# Tests are currently broken because they require network.
#go test ./...

%files
%doc README.md
%license LICENSE.md
%{_bindir}/%{name}

%changelog
* Tue Feb 18 2025 Felix Niederwanger <felix.niederwanger@suse.de>
- Kickoff with version 2.7.0
